/*
 * Emunation Plugin for MD-API 
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 */
 
#ifndef __PMTPARSER_H
#define __PMTPARSER_H
#include "dataparser.h"
//#include "descriptors.h"
class cPMTParser:public cDataParser
{
public:
    cPMTParser();
    ~cPMTParser();
    cPMTParser(unsigned char * buffer,int length);
    bool Parse();
private:
    int GetDescriptor(unsigned char* b,int type);
    void GetMPEG_VideoStream(unsigned char* b);
    void GetMPEG_AudioStream(unsigned char* b);
    char* GetStreamType(int type);
    int GetMPEG_CA(unsigned char* b);
    int GetMPEGDescriptor(unsigned char* b);
    int GetProvID(int ca_sys_id,unsigned char* priv_data,int len);

};
#endif

